最新消息:

yum 命令跳过特定(指定)软件包升级方法

Linux运维 大步 4377浏览 0评论

当我们用yum update 命令升级时候,有一些我们不想升级的软件,那么如何跳过这些不需要被升级的软件呢?

yum相关文章:

用exclude参数(禁止)排除指定软件包被yum升级

CentOS / RHEL:yum升级时锁定特定软件版本

yum升级中锁定指定软件版本禁止其升级(手动)

yum使用yum-plugin-security插件安全性升级

yum安装指定(特定)版本(旧版本)软件包的方法

yum –showduplicates 介绍和使用方法

如果上面的链接打不开,说明文章还没定时发布出来,过两天就可以看到了

yum 命令跳过特定(指定)软件包升级方法如下:

在RedHat / Centos、fedora中,yum  有   -x  或  --exclude  选项,使用这些选项后,通过指定软件包的 名字或者 通配符 ( *  或者 ),能够在yum升级时候,跳过某些特定(指定)的软件包。

yum排除特定软件包的语法如下:

使用下面的命令,你必须以root身份操作

yum -x {package-name} update
yum --exclude={package-name} update

举个例子,排除httpd 或者  kernel的升级,如下:

# yum -x httpd* update
# yum --exclude=kernel* update

查看更多yum相关使用方法,请使用:

$ man yum

英文原文:Linux yum command skip updating packages

转载请注明:大步's Blog » yum 命令跳过特定(指定)软件包升级方法

SiteMap